
QGIS Application - Bug report #17821

batchmode for gdal/translate do not work with actual master 2.99

2018-01-08 10:00 PM - Jan Lippmann

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:master Regression?: No

Operating System: Win 7 64bit Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25717

Description

@AttributeError: 'NoneType' object has no attribute 'setText' 

Traceback (most recent call last):

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\ProcessingToolbox.py", line 257, in

executeAlgorithmAsBatchProcess

    dlg = BatchAlgorithmDialog(alg)

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchAlgorithmDialog.py", line 69, in init

    self.setMainWidget(BatchPanel(self, self.algorithm()))

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchPanel.py", line 84, in init

    self.initWidgets()

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchPanel.py", line 127, in initWidgets

    self.addRow()

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchPanel.py", line 245, in addRow

    wrapper = WidgetWrapperFactory.create_wrapper(param, self.parent, row, column)

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\wrappers.py", line 1502, in create_wrapper

    return WidgetWrapperFactory.create_wrapper_from_metadata(param, dialog, row, col)

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\wrappers.py", line 1521, in create_wrapper_from_metadata

    wrapper = wrapper(param, dialog, row, col, **params)

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\wrappers.py", line 150, in init

    self.setValue(param.defaultValue())

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\algs\gdal\ui\RasterOptionsWidget.py", line 62, in setValue

    self.widget.setText(value)

AttributeError: 'NoneType' object has no attribute 'setText'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 2.99.0-Master Master, aef9df8d5e@

Related issues:

Duplicated by QGIS Application - Bug report # 17837: AttributeError: 'BatchIn... Closed 2018-01-10

Associated revisions

Revision dc99b8b2 - 2018-01-15 12:19 PM - Alexander Bruy

[processing] add missed return statement (fix #17821)

History

#1 - 2018-01-15 08:18 AM - Alexander Bruy

- Duplicated by Bug report #17837: AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText'  added
#2 - 2018-01-15 12:20 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|dc99b8b2f00d2b4be5ece684e8bd222890adb161.

#3 - 2018-01-16 02:01 PM - Jan Lippmann

This Bug is gone. thanks for fixing.

#4 - 2018-02-21 09:53 PM - Giovanni Manghi

- Resolution set to fixed/implemented
